Bug 16060 - Add Font Awesome icon to Z39.50 search button when no results are found
Summary: Add Font Awesome icon to Z39.50 search button when no results are found
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/catalogue/search.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-14 13:20 UTC by Owen Leonard
Modified: 2017-06-14 22:08 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16060 - Add Font Awesome icon to Z39.50 search button when no results are found (2.27 KB, patch)
2016-03-14 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16060 - Add Font Awesome icon to Z39.50 search button when no results are found (2.30 KB, patch)
2016-03-21 02:29 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 16060 - Add Font Awesome icon to Z39.50 search button when no results are found (2.36 KB, patch)
2016-03-21 07:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-14 13:20:16 UTC
If a catalog search in the staff client returns no results a Z39.50/SRU search button is shown. This button could use a Font Awesome icon.
Comment 1 Owen Leonard 2016-03-14 13:25:08 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2016-03-21 02:28:48 UTC
This is the only validation error I got. This patch didn't cause it. So I'm going to sign off.

Warning: Empty heading.
From line 420, column 1; to line 420, column 14
radient">↩<h1 id="logo"><a hre
Comment 3 M. Tompsett 2016-03-21 02:29:37 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2016-03-21 07:08:55 UTC
Created attachment 49381 [details] [review]
[PASSED QA] Bug 16060 - Add Font Awesome icon to Z39.50 search button when no results are found

When a staff client catalog search returns no results, a Z39.50/SRU
search button is shown. This patch adds a Font Awesome icon to that
button.

Also changed: A stray extra double quote has been removed. The onclick
attribute has been removed from the search button in favor of an event
already defined.

To test, apply the patch and perform a search in the staff client
catalog which will return no results.

- Confirm that the Z39.50/SRU button looks correct and works correctly.
- Validate the HTML of the page and confirm that no unexpected errors
  are returned.

NOTE: Pretty!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Owen Leonard 2016-03-21 12:12:31 UTC
(In reply to M. Tompsett from comment #2)
> This is the only validation error I got.
>
> Warning: Empty heading.

The heading is empty if you don't have the "LibraryName" system preference populated.
Comment 6 Brendan Gallagher 2016-03-21 21:32:46 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!